Skip to content

Update Authorization Server.

POST
/api/waf/namespaces/{namespace}/authorization_servers/{name}/update
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/waf/namespaces/example/authorization_servers/example/update \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "namespace": "example" }'

Update the JWKS on all LBs in which this Authorization Server is configured.

Examples of this operation.

namespace
required
string

Namespace

name
required
string

Name

Media typeapplication/json
Update Authorization Server Request

Request message for UpdateAuthorizationServer API.

object
name
name

Human-readable name for the resource

string
>= 6 characters <= 1024 characters
namespace
Namespace

Human-readable name for the resource

string
>= 6 characters <= 1024 characters
Examplegenerated
{
"name": "example",
"namespace": "example"
}

A successful response.

Media typeapplication/json
Update Authorization Server Response

Response message for UpdateAuthorizationServer API.

object
Examplegenerated
{}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example